# Module: Concurrent::Promises::Future::NewChannelIntegration

Included in:
  Concurrent::Promises::Future

Defined in:
  lib-edge/concurrent/edge/promises.rb

## Overview

Note:

Edge Features are under active development and may change frequently.

- Deprecations are not added before incompatible changes.
- Edge version: major is always 0, minor bump means incompatible change, patch bump means compatible change.
- Edge features may also lack tests and documentation.
- Features developed in `concurrent-ruby-edge` are expected to move to `concurrent-ruby` when finalised.

## Instance Method Summary collapse

- #then_push_channel(channel) ⇒ Future

  A future which is fulfilled after the message is pushed to the channel.

## Instance Method Details

### #then_push_channel(channel) ⇒ `Future`

Returns a future which is fulfilled after the message is pushed to the channel. May take a moment if the channel is full.

Parameters:

- channel (`Channel`) —

  to push to.

Returns:

- (`Future`) —

  a future which is fulfilled after the message is pushed to the channel. May take a moment if the channel is full.

    150
    151
    152

    # File 'lib-edge/concurrent/edge/promises.rb', line 150

    def then_push_channel(channel)
      self.then { |value| channel.push value }.flat_future
    end